opensesh docs

Create or update a speaker

POST
/events/{eventId}/speakers

Pass id: null to create; an existing contact id updates that speaker.

Authorization

bearerAuth
AuthorizationBearer <token>

An organization API key (osk_…)

In: header

Path Parameters

eventId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/events/string/speakers" \  -H "Content-Type: application/json" \  -d '{    "id": "string",    "firstName": "string",    "lastName": "string",    "email": "string",    "title": "string",    "company": "string",    "bio": "string",    "linkedinUrl": "string",    "twitterUrl": "string",    "websiteUrl": "string",    "dietaryRequirements": "none",    "tshirtSize": "XS",    "travelLogistics": "string",    "workflowStatus": "invited"  }'
{  "id": "string",  "createdAt": "string",  "updatedAt": "string",  "eventId": "string",  "email": "string",  "firstName": "string",  "lastName": "string",  "participation": "speaker",  "title": "string",  "company": "string",  "salutation": "string",  "honorific": "string",  "pronouns": "string",  "gender": "string",  "bio": "string",  "headshotUrl": "string",  "headshotKey": "string",  "dietaryRequirements": "none",  "tshirtSize": "XS",  "phone": "string",  "linkedinUrl": "string",  "twitterUrl": "string",  "facebookUrl": "string",  "websiteUrl": "string",  "confirmedAt": "string",  "custom": {},  "approvedProfile": {},  "profileReviewStatus": "approved",  "workflowStatus": "invited"}